<rtflowfile version="1.0">
   <block name="AI" folder="User\" width="64" height="208">
      <resize constrainprop="false" allow="true"/>
      <instancename show="true" position="up"/>
      <blockname show="false" position="down"/>
      <portnames show="true" inside="false"/>
      <graphic class="rect" x1="0" y1="0" x2="64" y2="208">
         <fill fill="true" color="0x00BBFFFF"/>
      </graphic>
      <port name="x1" type="real" x="0" y="16" kind="input" dir="left"/>
      <port name="y1" type="real" x="0" y="32" kind="input" dir="left"/>
      <port name="rot1" type="real" x="0" y="48" kind="input" dir="left"/>
      <port name="bullet1" type="bool" x="0" y="64" kind="input" dir="left"/>
      <port name="bulletx1" type="real" x="0" y="80" kind="input" dir="left"/>
      <port name="bullety1" type="real" x="0" y="96" kind="input" dir="left"/>
      <port name="x2" type="real" x="0" y="112" kind="input" dir="left"/>
      <port name="y2" type="real" x="0" y="128" kind="input" dir="left"/>
      <port name="rot2" type="real" x="0" y="144" kind="input" dir="left"/>
      <port name="bullet2" type="bool" x="0" y="160" kind="input" dir="left"/>
      <port name="bulletx2" type="real" x="0" y="176" kind="input" dir="left"/>
      <port name="bullety2" type="real" x="0" y="192" kind="input" dir="left"/>
      <port name="left" type="bool" x="64" y="16" kind="output" dir="right"/>
      <port name="right" type="bool" x="64" y="32" kind="output" dir="right"/>
      <port name="thrust" type="bool" x="64" y="48" kind="output" dir="right"/>
      <port name="fire" type="bool" x="64" y="64" kind="output" dir="right"/>
   </block>
   <schematic name="AI" width="903" height="602">
      <editor gridsize="16" alignports="true" autovalue="false"/>
      <binstance name="x1" block="RealInput" x="64" y="56"/>
      <binstance name="y1" block="RealInput" x="64" y="72"/>
      <binstance name="rot1" block="RealInput" x="64" y="224"/>
      <binstance name="bullet1" block="BoolInput" x="64" y="240"/>
      <binstance name="bulletx1" block="RealInput" x="64" y="256"/>
      <binstance name="bullety1" block="RealInput" x="64" y="272"/>
      <binstance name="x2" block="RealInput" x="64" y="88"/>
      <binstance name="y2" block="RealInput" x="64" y="104"/>
      <binstance name="rot2" block="RealInput" x="64" y="120"/>
      <binstance name="bullet2" block="BoolInput" x="64" y="288"/>
      <binstance name="bulletx2" block="RealInput" x="64" y="304"/>
      <binstance name="bullety2" block="RealInput" x="64" y="320"/>
      <binstance name="left" block="BoolOutput" x="480" y="56"/>
      <binstance name="right" block="BoolOutput" x="480" y="104"/>
      <binstance name="thrust" block="BoolOutput" x="480" y="168"/>
      <binstance name="fire" block="BoolOutput" x="480" y="232"/>
      <binstance name="AILeftRight1" block="AILeftRight" x="192" y="48"/>
      <binstance name="Pre1" block="Pre" x="400" y="48">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="Pre2" block="Pre" x="400" y="96">
         <constant name="initial" value="0" show="true" x="16" y="24"/>
      </binstance>
      <binstance name="AIThrust1" block="AIThrust" x="336" y="160"/>
      <binstance name="AIFire1" block="AIFire" x="336" y="224"/>
      <binstance name="Distance1" block="Distance" x="192" y="176"/>
      <connection name="x1" port1="x1.o" port2="AILeftRight1.x1">
         <point x="80" y="64"/>
         <point x="192" y="64"/>
      </connection>
      <connection name="x2" port1="x2.o" port2="AILeftRight1.x2">
         <point x="80" y="96"/>
         <point x="192" y="96"/>
      </connection>
      <connection name="y1" port1="y1.o" port2="AILeftRight1.y1">
         <point x="80" y="80"/>
         <point x="192" y="80"/>
      </connection>
      <connection name="y2" port1="y2.o" port2="AILeftRight1.y2">
         <point x="80" y="112"/>
         <point x="192" y="112"/>
      </connection>
      <connection name="rot2" port1="rot2.o" port2="AILeftRight1.rot2">
         <point x="80" y="128"/>
         <point x="192" y="128"/>
      </connection>
      <connection name="left1" port1="AILeftRight1.left" port2="Pre1.i0">
         <point x="256" y="64"/>
         <point x="400" y="64"/>
      </connection>
      <connection name="right1" port1="AILeftRight1.right" port2="Pre2.i0">
         <point x="256" y="80"/>
         <point x="368" y="80"/>
         <point x="368" y="112"/>
         <point x="400" y="112"/>
      </connection>
      <connection name="left" port1="Pre1.o" port2="left.i0">
         <point x="432" y="64"/>
         <point x="480" y="64"/>
      </connection>
      <connection name="right" port1="Pre2.o" port2="right.i0">
         <point x="432" y="112"/>
         <point x="480" y="112"/>
      </connection>
      <connection name="angle_diff" port1="AILeftRight1.drot" port2="AIThrust1.angle_diff">
         <point x="256" y="96"/>
         <point x="304" y="96"/>
         <point x="304" y="176"/>
         <point x="336" y="176"/>
      </connection>
      <connection name="thrust" port1="AIThrust1.thrust" port2="thrust.i0">
         <point x="400" y="176"/>
         <point x="480" y="176"/>
      </connection>
      <connection name="x1" port1="x1.o" port2="Distance1.x1">
         <point x="80" y="64"/>
         <point x="160" y="64"/>
         <point x="160" y="192"/>
         <point x="192" y="192"/>
      </connection>
      <connection name="y1" port1="y1.o" port2="Distance1.y1">
         <point x="80" y="80"/>
         <point x="144" y="80"/>
         <point x="144" y="208"/>
         <point x="192" y="208"/>
      </connection>
      <connection name="x2" port1="x2.o" port2="Distance1.x2">
         <point x="80" y="96"/>
         <point x="128" y="96"/>
         <point x="128" y="224"/>
         <point x="192" y="224"/>
      </connection>
      <connection name="y2" port1="y2.o" port2="Distance1.y2">
         <point x="80" y="112"/>
         <point x="112" y="112"/>
         <point x="112" y="240"/>
         <point x="192" y="240"/>
      </connection>
      <connection name="distance" port1="Distance1.d" port2="AIThrust1.distance">
         <point x="256" y="192"/>
         <point x="336" y="192"/>
      </connection>
      <connection name="distance" port1="Distance1.d" port2="AIFire1.distance">
         <point x="256" y="192"/>
         <point x="288" y="192"/>
         <point x="288" y="256"/>
         <point x="336" y="256"/>
      </connection>
      <connection name="fire" port1="AIFire1.fire" port2="fire.i0">
         <point x="400" y="240"/>
         <point x="480" y="240"/>
      </connection>
      <connection name="angle_diff" port1="AILeftRight1.drot" port2="AIFire1.angle_diff">
         <point x="256" y="96"/>
         <point x="304" y="96"/>
         <point x="304" y="240"/>
         <point x="336" y="240"/>
      </connection>
   </schematic>
</rtflowfile>
